<script lang="ts">
  import completeImg from '$lib/assets/images/user_page/complete.png';
  import incompleteImg from '$lib/assets/images/user_page/incomplete.png';
  import type { ChecklistStatus } from '$lib/interfaces/event-registration';

  export let status: ChecklistStatus | "complete";
  export let completedOn: Date | undefined = undefined;
  export { clazz as class };
  let clazz: string | undefined = '';
  import Fa from 'svelte-fa';
  import { faCircleCheck, faCircleExclamation, faCircleXmark } from '@fortawesome/free-solid-svg-icons';
</script>

<li class="flex {clazz || ''}">
  <div class="">
    {#if status === 'complete' || completedOn}
      <Fa class="inline-block text-green-500" icon={faCircleCheck} />
    {:else if status === 'warning'}
      <Fa class="inline-block" color="orange" icon={faCircleExclamation} />
    {:else}
      <Fa class="inline-block" color="red" icon={faCircleXmark} />
    {/if}
  </div>
  <div class="ml-4 self-center">
    <span class="font-semibold"><slot name="title" /></span>
    {#if completedOn}
      <span class="italic text-cyber-blue-800">{completedOn.toLocaleDateString()}</span>
    {/if}
    <p><slot name="description" /></p>
  </div>
</li>
